import { Functional } from '../../../../Class/Functional';
import { Done } from '../../../../Class/Functional/Done';
import { System } from '../../../../system';
export interface I {
    a: number;
    b: number;
}
export interface O {
    'a > b': boolean;
}
export default class GreaterThan extends Functional<I, O> {
    constructor(system: System);
    f({ a, b }: I, done: Done<O>): void;
}
